searchData={"items":[{"type":"module","title":"Oban.Notifiers.Phoenix","doc":"An [Oban.Notifier][no] that uses [Phoenix.PubSub][pp] for notifications.\n\nThe `Phoenix` notifier allows Oban to share a Phoenix application's `PubSub` for notifications. In\naddition to centralizing PubSub communications, it opens up the possible transports to all PubSub\nadapters.\n\nMost importantly, as Oban already provides `Postgres` and `PG` notifiers, this package enables\nRedis notifications via the [Phoenix.PubSub.Redis][pr] adapter.\n\n[no]: https://hexdocs.pm/oban/Oban.Notifier.html\n[pp]: https://hexdocs.pm/phoenix_pubsub/Phoenix.PubSub.html\n[pr]: https://hex.pm/packages/phoenix_pubsub_redis","ref":"Oban.Notifiers.Phoenix.html"},{"type":"module","title":"Usage - Oban.Notifiers.Phoenix","doc":"This package requires a minimum of Oban v2.17 for a few enhancements:\n\n```elixir\ndefp deps do\n  [\n    {:oban_notifiers_phoenix, \"~> 0.1\"},\n    ...\n  ]\nend\n```\n\nMake note of your application's `Phoenix.PubSub` instance name from the primary supervision tree:\n\n```elixir\ndef start(_type, _args) do\n  children = [\n    {Phoenix.PubSub, name: MyApp.PubSub},\n    ...\n```\n\nFinally, configure Oban to use `Oban.Notifiers.Phoenix` as the notifier with the `PubSub`\nintance name as the `:pubusb` option:\n\n```elixir\nconfig :my_app, Oban,\n  notifier: {Oban.Notifiers.Phoenix, pubsub: MyApp.PubSub},\n...\n```","ref":"Oban.Notifiers.Phoenix.html#module-usage"},{"type":"extras","title":"Changelog","doc":"# Changelog for Oban Notifier Phoenix","ref":"changelog.html"},{"type":"extras","title":"v0.2.0 — 2025-06-04 - Changelog","doc":"","ref":"changelog.html#v0-2-0-2025-06-04"},{"type":"extras","title":"Enhancements - Changelog","doc":"- Change notifier to pass config name instead of full config.\n\n  Serializing the config for every notification is needlessly wasteful. Instead pass the config\n  name and reconstruct the config in the dispatch function.\n\n- Fetch notifier state directly from the registry.\n\n  State can be fetched from the Oban.Registry rather than with a GenServer call. Even if the call\n  is fast, concurrent `notify` calls would be serialized behind GenServer state fetching.\n\n- Minimize data passing with hollow config.\n\n  The notifier's `relay` function only needs the `name` and `node` values from the conf. The\n  notifier drops all other fields and manually reconstructs a minimal config rather than pulling\n  any data from the registry at runtime.","ref":"changelog.html#enhancements"},{"type":"extras","title":"v0.1.0 — 2024-02-02 - Changelog","doc":"Initial release with full functionality!","ref":"changelog.html#v0-1-0-2024-02-02"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}